$ErrorActionPreference = 'Stop';

$packageName = 'Secunia.PSI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://secunia.com/PSISetup.exe'
$url64      = 'https://secunia.com/PSISetup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Secunia.PSI*'

  checksum      = '4dadcb008c87e134ba9a5c363125a1aa141eb0654d13af6010b92e094a2094e0'
  checksumType  = 'sha256'
  checksum64    = '4dadcb008c87e134ba9a5c363125a1aa141eb0654d13af6010b92e094a2094e0'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
